-- Надо слить с локацией GARDENING_FORK

dofile('data/Scenes/10_like_Anim_gate.lua')

PATH_COMICS_10_ON_SHOWN              = 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'
PATH_COMICS_10_ON_WIN	             = 'data/Scenes/Comics/HelpersComicsOneSMS.lua'
PATH_COMICS_10_ON_COIN_FOUND         = 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'
PATH_COMICS_10_MECHANISM			 = 'data/Scenes/Comics/HelpersComicsOneSMS.lua'
PATH_COMICS_10_PROPELLER			 = 'data/Scenes/Comics/HelpersComicsOneSMS.lua'

function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad(screen:GetName())

    local pf = play_field
    local level = pf:GetLevelScreen()

    ---------------------------------------------------------------------------------------------
	level:AddTaskSafe(CreateTask('COIN', '', 'coin'))
    AddRandomTasks(15,
                   CreateTask('BELL', '', 'bell'),
                   CreateTask('BOOK', '', 'book'),
                   CreateTask('BRUSH', 'BRUSHES', 'brush', 'brush2'),
                   CreateTask('BUTTON', '', 'button'),
                   CreateTask('CLOTHESPIN', '', 'clothespin'),
                   CreateTask('CORN', '', 'corn'),
                   CreateTask('FIRE_EXTINGUISHER', '', 'fire_extinguisher'),
                   CreateTask('FLASK', '', 'flask'),
                   CreateTask('GRAPES', '', 'grape'),
                   --CreateTask('HAMMER', '', 'hammer'),
                   CreateTask('HARD_HAT', '', 'helmet'),
                   CreateTask('KEY', '', 'key'),
                   CreateTask('LADDER', '', 'ladder'),
                   CreateTask('OAR', '', 'oar'),
                   CreateTask('PUMPKIN', '', 'pumpkin'),
                   CreateTask('SAVING_CIRCLE', '', 'saving_circle'),
                   CreateTask('COCKLESHELL', '', 'shell'),
                   CreateTask('TROWEL', '', 'shovel'),
                   CreateTask('T_SHIRT', '', 'T-shirt'),
				   CreateTask('KNIFE', '', 'knife'),
--				   CreateTask('GARDENING_FORK', '', 'rake'),
				   CreateTask('SOCKS', '', 'socks'),
				   CreateTask('LIGHTNING', '', 'lightning'),
				   CreateTask('OIL_BOTTLE', '', 'oilcan'),
				   CreateTask('BEARING', '', 'bearing'),
				   CreateTask('WATERMELON', '', 'watermelon'),
				   CreateTask('BALLOON', '', 'balloon'),
				   CreateTask('BINOCULAR', '', 'binocular'),               
				   CreateTask('DAGGER', '', 'dagger'),
				   CreateTask('EGGPLANT', '', 'eggplant'),
				   CreateTask('GLASSES', '', 'glasses'),
				   CreateTask('ONION', '', 'onion'),
				   CreateTask('CELTIC_ORNAMENT', '', 'ornament'),
				   CreateTask('PADLOCK', '', 'padlock'),
				   CreateTask('PEA_POD', '', 'pea_pod'),
				   CreateTask('PIN', '', 'pin'),
				   CreateTask('RADIO', '', 'radio'),               
				   CreateTask('RIBBON', 'RIBBONS', 'ribbon', 'ribbon2', 'ribbon3'),
				   CreateTask('STAR', '', 'star'),
				   CreateTask('WATERING_CAN', '', 'watering_can'),
				   CreateTask('SEVEN', '', '7')
				   --CreateTask('HARDWARE', '', 'hardware')
                   )
    ---------------------------------------------------------------------------------------------
	zone_box = CreateZoomZone('close_zone_box',
                               'pixel_box',
                               'ZoomBoxBg',
                               'knife',
                               'socks',
							   'lightning',
							   'rake',
							   'BG_Vily-ryhlitel',
							   'yaschik',
							   'toolbox'
							   )
	---------------------------------------------------------------------------------------------
	PlayAnimationPeriodicallyVsRandDelay(play_field:GetObject('krus'), 10, 5)
	RegisterInactiveGroup('light', '01', '02')
	local object = play_field:GetObject('01')
    local af = CreateAnimationEffector()
    af:AttachTo(object)
    af:SetMode(_ANIM_LOOP + _ANIM_PINGPONG)
    af:SetKey(_TRACK_O, 0.0, 0)
    af:SetKey(_TRACK_O, 3, 1.0)    
    af:Play()
    
    local object = play_field:GetObject('02')
    local af = CreateAnimationEffector()
    af:AttachTo(object)
    af:SetMode(_ANIM_LOOP + _ANIM_PINGPONG)
    af:SetKey(_TRACK_O, 0.0, 1)
    af:SetKey(_TRACK_O, 3, 0.0)    
    af:Play()
	---------------------------------------------------------------------------------------------
	play_field:GetObject('mechanizm'):SetOpacity(0)
	---------------------------------------------------------------------------------------------	
	RegisterInactiveGroup('BehindGate',
						  'corn',
						  --'hammer',
						  'oar',
						  'T-shirt',
						  'saving_circle',
						  'book',
						  'pumpkin',
						  'fire_extinguisher',
						  'ladder',
						  'radio',
						  'ribbon2',
						  'watering_can',
						  'pixel_wheelbarrow')
	---------------------------------------------------------------------------------------------
	local anim_gate = CreateCompositionGate()
    anim_gate:AttachTo(screen)
    anim_gate:SetZ(85)
    anim_gate:SetDestroysOnEnd(false)
	
    local apply_action_toolbox = function(save)
								if save then
									pf:GetObject('mechanizm_broken'):SetOpacity(0)
									pf:GetObject('mechanizm'):SetOpacity(1)
									anim_gate:Rewind(true)
									
									UnregisterInactiveGroup('BehindGate')
								else
									pf:GetObject('mechanizm_broken'):ChangeOpacity(1, 0, 0.3)
									pf:GetObject('mechanizm'):ChangeOpacity(0, 1, 0.3)
									anim_gate:Play()
									TimerDo(pf:GetTimer(), 3.5, function()
									                                                    UnregisterInactiveGroup('BehindGate')
									                                                end )
									MakeSoundEntity('10_door'):Play(false)
								end
                             end
	
	local photo_toolbox = CreatePhotoZone('toolbox',										
										'TOOLBOX',
										'toolbox_photo',
										nil,
										'pixel_generator',
										apply_action_toolbox)
    level:GetTask('toolbox'):SetUse(true)
	---------------------------------------------------------------------------------------------
	zone_wheelbarrow = CreateZoomZone('close_zone_wheelbarrow',
                               'pixel_wheelbarrow',
                               'ZoomWheelbarrowBg',
                               'oilcan',
                               'bearing',
							   '7',							   
							   'propeller'
							   );
	---------------------------------------------------------------------------------------------
	play_field:IgnoreOnTestPoint('coin')
	local photo_action_propeller = function()  
                             end
    local apply_action_propeller = function(save)
								local anim_propeller = createCompositionlok10()
								anim_propeller:AttachTo(screen);
								anim_propeller:SetZ(81.);
								anim_propeller:SetDestroysOnEnd(false);
								
								TimerDo(play_field:GetTimer(),
										3,
										function()
											if play_field:IsIgnoredOnTestPoint(play_field:GetObject('coin')) then
												play_field:DoNotIgnoreOnTestPoint('coin')
											end
										end)								
								
								play_field:GetObject('newspaper'):SetOpacity(0)																
								play_field:GetObject('ku4a_dusta'):SetOpacity(0)									
								play_field:GetObject('dust'):SetOpacity(0)
								
								if save then
									anim_propeller:Rewind(true)
								else
									MakeSoundEntity('10_propeller'):Play(false)
								end
                             end
	
	local photo_propeller = CreatePhotoZoneEx('propeller',
												'propeller_tool',
												'PROPELLER',
												'propeller_photo',
												photo_action_propeller,
												'pixel_propeller',
												apply_action_propeller)
	level:GetTask('propeller'):SetUse(true)
    ---------------------------------------------------------------------------------------------
    RegisterComics('COMICS_10_ON_SHOWN', function()
                                            LoadComicsWithOneReplicHeroes(PATH_COMICS_10_ON_SHOWN, 'COMICS_10_ON_SHOWN');
                                        end );
	---------------------------------------------------------------------------------------------
    game_state.chain_money = RegisterComicsEx(function()
                                                LoadComicsWithOneReplicHeroes(PATH_COMICS_10_ON_COIN_FOUND, 'COMICS_10_ON_COIN_FOUND');
                                              end )
    game_state.chain_money.OnHidden = function()
        OnWin()
    end                                              
	---------------------------------------------------------------------------------------------
    game_state.chain_on_win = RegisterComicsEx(function()
                                                    LoadComicsWithOneSMS(PATH_COMICS_10_ON_WIN, 'COMICS_10_ON_WIN')
                                                end )
	---------------------------------------------------------------------------------------------
	game_state.mechanism = RegisterComicsEx(function()
					                            LoadComicsWithOneReplicHeroes(PATH_COMICS_10_MECHANISM, 'COMICS_10_MECHANISM')
	                                        end )
	game_state.propeller = RegisterComicsEx(function()
					                            LoadComicsWithOneReplicHeroes(PATH_COMICS_10_PROPELLER, 'COMICS_10_PROPELLER')
	                                        end)
	SetHintComicsPhotoZoneEx(photo_toolbox, game_state.mechanism)
	SetHintComicsPhotoZoneEx(photo_propeller, game_state.propeller)
	---------------------------------------------------------------------------------------------
	play_field:IgnoreOnTestPoint('key_lock')
	play_field:IgnoreOnTestPoint('fire_extinguisher_layer')
end

function OnHiddenComics(comics)
	if comics == 'COMICS_10_ON_WIN' then
		OnWinLevel()
	end
end

function OnSceneFree()
    FreeData()
end

function OnScreenShown(fade_out)
    if fade_out then
       PlayRegisterComics('COMICS_10_ON_SHOWN')
    end
end

function OnUpdate(dt)
	DefaultOnUpdate(dt)
end

function OnWin()
    if play_field:GetLevelScreen():IsCompleteLevel() and
       game_state.chain_money.played
    then
        game_state.chain_on_win.Play()
    end	
end

function OnLose()
end

function OnExit()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object);	
    
    return is_wrong_click;
end

function OnObjectMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object);	
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
    
	if object:GetName() == 'coin' then
		game_state.chain_money:Play()
	end
end

function OnPhotographing()
	DefaultOnPhotographing()
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,70,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/bell.png',0,0,54,60,1,0)
	anim:SetHotSpot(27,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bell',anim,589,737,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/book.png',0,0,74,36,1,0)
	anim:SetHotSpot(37,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('book',anim,625,463,80,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/brush.png',0,0,94,110,1,0)
	anim:SetHotSpot(47,55)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('brush',anim,976,688,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/button.png',0,0,35,35,1,0)
	anim:SetHotSpot(17,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('button',anim,977,611,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/clothespin.png',0,0,55,21,1,0)
	anim:SetHotSpot(27,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('clothespin',anim,784,621,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/corn.png',0,0,62,105,1,0)
	anim:SetHotSpot(31,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('corn',anim,428,253,80,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/fire_extinguisher.png',0,0,51,74,1,0)
	anim:SetHotSpot(25,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fire_extinguisher',anim,833,413,79,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/flask.png',0,0,53,70,1,0)
	anim:SetHotSpot(26,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('flask',anim,275,666,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/grape.png',0,0,81,50,1,0)
	anim:SetHotSpot(40,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('grape',anim,860,634,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/helmet.png',0,0,84,49,1,0)
	anim:SetHotSpot(42,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('helmet',anim,499,668,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/key.png',0,0,35,84,1,0)
	anim:SetHotSpot(17,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('key',anim,976,314,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/ladder.png',0,0,60,195,1,0)
	anim:SetHotSpot(30,97)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ladder',anim,644,329,79,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/oar.png',0,0,59,225,1,0)
	anim:SetHotSpot(29,112)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('oar',anim,494,427,80,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/pumpkin.png',0,0,61,36,1,0)
	anim:SetHotSpot(30,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pumpkin',anim,868,467,80,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/saving_circle.png',0,0,66,83,1,0)
	anim:SetHotSpot(33,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('saving_circle',anim,809,244,80,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/shovel.png',0,0,78,83,1,0)
	anim:SetHotSpot(39,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('shovel',anim,698,642,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/T-shirt.png',0,0,65,99,1,0)
	anim:SetHotSpot(32,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('T-shirt',anim,722,271,80,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Layers/fire_extinguisher_layer.png',0,0,39,56,1,0)
	anim:SetHotSpot(19,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fire_extinguisher_layer',anim,835,432,80,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Layers/ladder_layer.png',0,0,45,100,1,0)
	anim:SetHotSpot(22,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ladder_layer',anim,644,375,80,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/abc.png',0,0,82,51,1,0)
	anim:SetHotSpot(41,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('abc',anim,350,640,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/ZoomBox/Items/knife.png',0,0,78,84,1,0)
	anim:SetHotSpot(39,42)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('knife',anim,256,441,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/ZoomBox/Items/socks.png',0,0,120,80,1,0)
	anim:SetHotSpot(60,40)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('socks',anim,257,385,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/ZoomBox/Items/lightning.png',0,0,46,74,1,0)
	anim:SetHotSpot(23,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lightning',anim,361,500,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/ZoomBox/Items/rake.png',0,0,137,98,1,0)
	anim:SetHotSpot(68,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('rake',anim,439,223,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/ZoomBox/Layers/ZoomBoxBg.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ZoomBoxBg',anim,512,384,800,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/ZoomBox/Layers/BG_Vily-ryhlitel.png',0,0,68,58,1,0)
	anim:SetHotSpot(34,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Vily-ryhlitel',anim,389,249,815,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/ZoomBox/Layers/yaschik.png',0,0,184,152,1,0)
	anim:SetHotSpot(92,76)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('yaschik',anim,618,474,820,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/ZoomBox/Items/toolbox.png',0,0,173,215,1,0)
	anim:SetHotSpot(86,107)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('toolbox',anim,604,392,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_box',anim,383,585,110,0,18,4)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Animations/krus.png',0,0,199,54,20,25)
	anim:SetHotSpot(100,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('krus',anim,560,647,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Layers/01.png',0,0,505,205,1,0)
	anim:SetHotSpot(252,102)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('01',anim,557,340,81,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Layers/02.png',0,0,505,205,1,0)
	anim:SetHotSpot(252,102)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('02',anim,556,341,81,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Layers/mechanizm_broken.png',0,0,84,138,1,0)
	anim:SetHotSpot(42,69)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mechanizm_broken',anim,246,190,86,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Layers/mechanizm.png',0,0,83,98,1,0)
	anim:SetHotSpot(41,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mechanizm',anim,247,165,86,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_generator',anim,242,181,130,0,10,14)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Photo/toolbox_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('toolbox_photo',anim,100,349,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Layers/mask1.png',0,0,780,242,1,0)
	anim:SetHotSpot(390,121)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mask1',anim,556,597,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/ZoomWheelbarrow/Items/7.png',0,0,28,45,1,0)
	anim:SetHotSpot(14,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('7',anim,776,444,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/ZoomWheelbarrow/Items/bearing.png',0,0,44,39,1,0)
	anim:SetHotSpot(22,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bearing',anim,420,348,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/ZoomWheelbarrow/Items/oilcan.png',0,0,69,86,1,0)
	anim:SetHotSpot(34,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('oilcan',anim,457,570,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/ZoomWheelbarrow/Layers/ZoomWheelbarrowBg.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ZoomWheelbarrowBg',anim,512,384,900,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/ZoomWheelbarrow/Items/propeller.png',0,0,640,480,1,0)
	anim:SetHotSpot(350,270)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('propeller',anim,524,416,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/ZoomWheelbarrow/Items/propeller.png',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('propeller_tool',anim,89,551,100,0,0.25,0.25)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_wheelbarrow',anim,558,330,79,0,16,8)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_propeller',anim,432,399,80,0,8,8)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Photo/propeller_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('propeller_photo',anim,99,611,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Animations/newspaper.png',0,0,86,60,1,0)
	anim:SetHotSpot(43,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('newspaper',anim,368,449,82,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Animations/ku4a_dusta.png',0,0,70,54,1,0)
	anim:SetHotSpot(35,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ku4a_dusta',anim,355,450,83,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Animations/dust.png',0,0,153,139,1,0)
	anim:SetHotSpot(76,69)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dust',anim,343,444,84,0,0.6,0.6)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Animations/coin.png',0,0,43,38,1,0)
	anim:SetHotSpot(21,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('coin',anim,352,456,81,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Layers/green.png',0,0,125,63,1,0)
	anim:SetHotSpot(62,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('green',anim,479,167,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Layers/scissors.png',0,0,32,47,1,0)
	anim:SetHotSpot(16,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('scissors',anim,918,289,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/shell.png',0,0,67,41,1,0)
	anim:SetHotSpot(33,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('shell',anim,308,740,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Layers/key_lock.png',0,0,17,19,1,0)
	anim:SetHotSpot(8,9)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('key_lock',anim,971,284,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/balloon.png',0,0,70,142,1,0)
	anim:SetHotSpot(35,71)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('balloon',anim,986,459,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/binocular.png',0,0,53,57,1,0)
	anim:SetHotSpot(26,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('binocular',anim,922,100,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/brush2.png',0,0,75,45,1,0)
	anim:SetHotSpot(37,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('brush2',anim,932,658,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/dagger.png',0,0,45,102,1,0)
	anim:SetHotSpot(22,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dagger',anim,233,655,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/eggplant.png',0,0,69,32,1,0)
	anim:SetHotSpot(34,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('eggplant',anim,354,721,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/glasses.png',0,0,75,40,1,0)
	anim:SetHotSpot(37,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('glasses',anim,354,745,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/onion.png',0,0,133,24,1,0)
	anim:SetHotSpot(66,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('onion',anim,520,759,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/ornament.png',0,0,65,60,1,0)
	anim:SetHotSpot(32,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ornament',anim,419,59,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/padlock.png',0,0,38,48,1,0)
	anim:SetHotSpot(19,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('padlock',anim,676,719,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/pea_pod.png',0,0,72,40,1,0)
	anim:SetHotSpot(36,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pea_pod',anim,988,741,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/pin.png',0,0,18,71,1,0)
	anim:SetHotSpot(9,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pin',anim,628,694,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/radio.png',0,0,97,82,1,0)
	anim:SetHotSpot(48,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('radio',anim,465,536,80,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/ribbon2.png',0,0,44,37,1,0)
	anim:SetHotSpot(22,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ribbon2',anim,400,329,80,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/ribbon3.png',0,0,63,49,1,0)
	anim:SetHotSpot(31,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ribbon3',anim,281,743,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/ribbon.png',0,0,92,83,1,0)
	anim:SetHotSpot(46,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ribbon',anim,526,56,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/star.png',0,0,53,72,1,0)
	anim:SetHotSpot(26,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('star',anim,993,137,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/watering_can.png',0,0,73,47,1,0)
	anim:SetHotSpot(36,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('watering_can',anim,348,525,80,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Items/watermelon.png',0,0,77,33,1,0)
	anim:SetHotSpot(38,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('watermelon',anim,280,574,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/10_lake_/Layers/brush_over.png',0,0,45,40,1,0)
	anim:SetHotSpot(22,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('brush_over',anim,903,641,130,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
